// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#ifndef PINGUTILEMAP_HH
#define PINGUTILEMAP_HH

#include <vector>
#include <fstream>

#include "PLF.hh"
#include "ColMap.hh"
#include "PinguMap.hh"
#include "PinguTile.hh"

// The PinguTileMap is the second methode of managing the gfx of a
// pingus level. It loads and draw the map, it also provides a
// collison map.

class PinguTileMap : public PinguMap 
{
private:
  vector<vector<PinguTile> > map;
  int width, height;
public:
  PinguTileMap(PLF* data, CL_ResourceManager* resource);
  virtual ~PinguTileMap();

  int  load(const char*, CL_ResourceManager*);
  int  load(ifstream*);
  void draw_offset(int of_x, int of_y, double s = 1.0);
  void mark_dirty(int,int,int,int);
  void start_anim();
  void stop_anim();
  int  get_width();
  int  get_height();
};

#endif

/* EOF */
