// Pingus - A free Lemmings clone
// Copyright (C) 1999 Ingo Ruhnke <grumbel@gmx.de>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#include "../SoundSpecs.hh"
#include "smashed.hh"

Smashed::Smashed(void)
{
  surface = CL_Res_Surface::load("Pingus/bomber", *resource());
  counter.set_size(surface->get_no_sprs());
  counter.set_type(Counter::once);
  counter.set_count(0);
  counter.set_speed(10);
  is_multi_direct = false;
  environment = (PinguEnvironment)(land | sky) ; 
  sound_played = false;
}

void
Smashed::let_move(void)
{
  if (!sound_played) {
    SoundSpecs::play(SoundSpecs::SPLAT);
    sound_played = true;
  }

  if (data->status == dead)
    return;
  // Bug: This only needs to set once, but in the constructor data is
  // not initialisised 
  data->status = not_catchable;
  // BugEnd

  data->particle->add_pingu_explo(data->x_pos, data->y_pos - 16);
  data->status = dead;
}

/* EOF */
